Create an off-ramp quote
Creates a quote to convert crypto to fiat. Check fulfillment to determine the next step:
sign_transaction: CallPOST /off-ramp-quotes/{id}/transactionfor calldata, sign, and submit on-chain.send_to_address: Send crypto tosendTo.addressbeforesendTo.expiresAt.
Amount modes: output (default) = fiat the account receives. input = total crypto the user sends.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Destination account ID
Amount as a decimal string (interpretation depends on amountMode)
Token contract address. Highly recommended for EVM chains — different tokens have different fee tiers (e.g. USDC is cheapest). If omitted, the chain’s native token is assumed. Not needed for Bitcoin.
Payment note (bank account payments only)
object
Destination account ID
Amount as a decimal string (interpretation depends on amountMode)
Token contract address. Highly recommended for EVM chains — different tokens have different fee tiers (e.g. USDC is cheapest). If omitted, the chain’s native token is assumed. Not needed for Bitcoin.
Payment note (bank account payments only)
object
Destination account ID
Amount as a decimal string (interpretation depends on amountMode)
Token contract address. Highly recommended for EVM chains — different tokens have different fee tiers (e.g. USDC is cheapest). If omitted, the chain’s native token is assumed. Not needed for Bitcoin.
Payment note (bank account payments only)
Responses
Section titled “ Responses ”Response for status 201
object
Quote ID
When the quote was created
What the user pays — total USD cost and token used.
object
Total USD cost including fees (= output.amount + fees.amount)
Always USD
Contract address (EVM/Solana/Sui/Tron) or asset symbol (BTC, DASH) for UTXO chains
What the destination receives.
object
Fiat delivered to destination account
Fiat currency
Destination account ID
Fees charged for this quote.
object
Fee in fiat (‘0.00’ if none)
Fee currency
Present when fulfillment is send_to_address. Send exactly amount of token to address before expiresAt.
object
Blockchain address to send crypto to
Exact crypto amount to send
Token symbol to send
Deadline to send crypto. Quote expires after this time.
Present after on-chain transaction is detected.
object
On-chain transaction hash
Block explorer URL
Response for status 401
object
A URI reference that identifies the problem type
A short, human-readable summary of the problem type
The HTTP status code
A human-readable explanation specific to this occurrence
A URI reference that identifies the specific occurrence
The authentication realm
The required scope for this resource
Response for status 404
object
A URI reference that identifies the problem type
A short, human-readable summary of the problem type
The HTTP status code
A human-readable explanation specific to this occurrence
A URI reference that identifies the specific occurrence
The type of resource that was not found
The identifier of the resource that was not found
Response for status 500
object
A URI reference that identifies the problem type
A short, human-readable summary of the problem type
The HTTP status code
A human-readable explanation specific to this occurrence
A URI reference that identifies the specific occurrence